version: "3.3"

services:
  app:
    image: order/server-723-web-billig-pos-de:v1
    container_name: order-server-723-web-billig-pos-de
    volumes:
      - ./:/app
      - /app/node_modules
      - /app/.next
    environment:
      - PORT=${PORT}
      - RESTAURANT_URL=${RESTAURANT_URL}
      - API_URL=${API_URL}
      - ASSETS_URL=${ASSETS_URL}
      - SELF_API_URL=${SELF_API_URL}
      - GOOGLE_MAP_KEY=${GOOGLE_MAP_KEY}
      - LOCAL_STORAGE_KEY=${LOCAL_STORAGE_KEY}
      - ADDRESS_SERVER=${ADDRESS_SERVER}
      - ANDROID_STORE_URL=${ANDROID_STORE_URL}
      - IOS_STORE_URL=${IOS_STORE_URL}
    ports:
      - "${PORT}:${PORT}"
    restart: always
    depends_on:
      - redis
  redis:
    container_name: order-server-723-web-billig-pos-de-redis
    image: "redis:alpine"
    volumes:
      - .docker/data/redis:/data
    restart: always
